Assignee: Go MAEDA % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

When i try to use the watcher in the filter on issues, the list is only showing <<Me>>, so i can only filter issues watched by Me or not
watched by Me.

Related issues:

Related to Redmine - Feature #34700: Allow to use watch_by filter in the glob... Closed
Has duplicate Redmine - Defect #15347: Issue filter does not allow filtering ... Closed
Has duplicate Redmine - Feature #10912: Add search by watcher Closed
Has duplicate Redmine - Defect #27123: Issue filter "watcher" dosn't show any... Closed

Associated revisions

Revision 17439 - 2018-07-09 08:07 - Go MAEDA

Extend watched_by_me-issue filter to include all project-members instead of only <<me>>-substitution (#8160).

Patch by Mizuki ISHIKAWA.

History

#1 - 2011-04-15 18:28 - Etienne Massip
- Category set to Issues

- Target version set to Candidate for next minor release

Same behavior on my devel instance, Redmine demo site and this site, looks like a true issue.

#2 - 2011-04-15 21:43 - Mischa The Evil
- Tracker changed from Defect to Feature

- Subject changed from The watcher filter it's only showing <<Me>> in the list to Extend watched_by_me-issue filter to include all project-members
instead of only <<me>>-substitution

Etienne Massip wrote:

Same behavior on my devel instance, Redmine demo site and this site, looks like a true issue.

It's a true issue indeed, although it is not a defect looking at the way the "watched_by_ me"-filter feature has been implemented in revision r2456 for
feature #846; I've changed the tracker and subject accordingly.

#3 - 2011-04-15 21:49 - Mischa The Evil

Added issue-relation to defect #4501. This feature once was available through URL-mangling.

I am not sure if this "hidden-feature" is available any longer in current Redmine source (read: quick test on rm.o didn't produced the described
behaviour in defect #4501).

#4 - 2013-11-15 21:18 - Jean-Philippe Lang

- Has duplicate Defect #15347: Issue filter does not allow filtering by any watcher except for "me" added

#5 - 2013-11-26 20:16 - Benjamin Roberts
Has this really been a candidate for the next minor release for more than two years? It gets my vote if it makes a difference. =)

#6 - 2013-12-12 11:16 - Koen Boone

We have 9 people here who also give their vote for this... :-/

#7 - 2014-06-15 08:14 - Plam Sim

The same behavior we have in Redmine 2.5.1. Do you plan to fix it? Another watcher, except "me", cannot be added to the filter. In that case the filter
"Watcher is" doesn't deliver its functionality.

#8 - 2014-07-22 08:21 - Kevin Palm

+1

#9 - 2015-04-20 11:12 - Szabolcs Szasz

+1

#10 - 2015-07-08 09:01 - Quan VN

It seems that this behavior is intention since even with new update redmine 2.6.6 there is no change.
So if you want to change it here is the manual patch
In app/models/issue_query.rb, find the following lines

if User.current.logged?
add_available_filter "watcher_id",
ttype => :list, :values => [["<< #{1l(:label_me)} >>", "me"]]
end

remove them completely and replace with

watcher_values = []
watcher_values << ["<< #{1l(:label_me)} >>", "me"] if User.current.logged?
watcher_values += users.collect{|s| [s.name, s.id.to_s] }
add_available_filter ("watcher_id",

ttype => :1list, :values => watcher_values
) unless watcher_values.empty?

Restart redmine and you have other members in the watcher list

#11 - 2016-01-16 07:54 - Go MAEDA
- Has duplicate Feature #10912: Add search by watcher added

#12 - 2016-06-09 13:06 - Aleksandar Pavic
+1 (tested on 2.5.2 and 3.0.6.stable.14912)

#13 - 2016-11-05 13:54 - Alessandro Zucchi

Is possible have this fix in 3.3.2 version ?
It's a great limits

Thanks

Alessandro

#14 - 2017-02-07 16:00 - Anonymous

We use extended_watchers plugin to allow watchers restricted issue access. This feature would be extremely helpful to get an overview who can
access (=is watching) which issue.
+1

Thanks
Immanuel.

#15 - 2017-10-05 13:41 - Go MAEDA

- Has duplicate Defect #27123: Issue filter "watcher" dosn't show any users added

#16 - 2017-10-10 09:36 - Michael Schneider

| think this would be very useful.

+1
#17 - 2017-11-07 13:03 - Philippe Ivaldi

Michael Schneider wrote:
| think this would be very useful.

+1

+11

#18 - 2017-12-04 15:05 - Benjamim Rodrigo

+1

#19 - 2018-06-22 06:43 - Go MAEDA

- Category changed from Issues to Issues filter

#20 - 2018-06-25 10:12 - Mizuki ISHIKAWA
- File Add _filter_value_of watcher.patch added

By applying this patch, only user with :view_issue_watcher permission will be able to search for project members other than yourself.
This feature seems to be needed by many people.

#21 - 2018-06-25 10:23 - Alessandro Zucchi

Come on, move it in 4.0! :-)
It's very usefull

Many thanks

Alessandro

#22 - 2018-06-25 11:43 - Go MAEDA
Mizuki, thank you very much for posting the patch so quickly. | tried out the patch and | noticed the following points. To move this issue forward, could
you update the patch?

o | think users who don't have view_issue_watcher permission on the project must not be able to see other users in the filter. :global => true in the
User.current.allowed_to? should be removed.

¢ In the current trunk, user type filters group users by its status (see #15201). To keep the Ul consistent, | think watchers filter should use the
same style.

#23 - 2018-06-25 11:43 - Go MAEDA

- Target version changed from Candidate for next minor release to Candidate for next major release

#24 - 2018-06-26 02:47 - Mizuki ISHIKAWA
- File Add filter_value_of watcher_v2.patch added

Go MAEDA wrote:

Mizuki, thank you very much for posting the patch so quickly. | tried out the patch and I noticed the following points. To move this issue forward,
could you update the patch?

e | think users who don't have view_issue_watcher permission on the project must not be able to see other users in the filter. :global => true
in the User.current.allowed_to? should be removed.

¢ In the current trunk, user type filters group users by its status (see #15201). To keep the Ul consistent, | think watchers filter should use the
same style.

Fixed points you pointed out.
Thank you for checking.

#26 - 2018-06-26 10:30 - Marius BALTEANU

LGTM, I'm in favour of delivering this feature in the next major version.

#28 - 2018-07-08 13:35 - Marius BALTEANU
- Related to deleted (Defect #4501: URL-mangling provides data not reachable through Ul)

#29 - 2018-07-09 08:12 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA
- Target version changed from Candidate for next major release to 4.0.0

- Resolution set to Fixed

Committed.
Users who have "View issues list" (:view_issue_watchers) permission can see project members in the "Watchers" filter.

#30 - 2021-02-10 00:28 - Go MAEDA
- Related to Feature #34700: Allow to use watch_by filter in the global issues list added

Files
Add_filter_value_of_watcher.patch 2.64 KB 2018-06-25 Mizuki ISHIKAWA
Add_filter_value_of watcher_v2.patch 2.76 KB 2018-06-26 Mizuki ISHIKAWA
